{"id":354463,"name":"DataCompression","ecosystem":"cocoapods","description":"Swift libcompression wrapper as an extension for the Data type (GZIP, ZLIB, LZFSE, LZMA, LZ4, deflate, RFC-1950, RFC-1951, RFC-1952)","homepage":"https://github.com/mw99/DataCompression","licenses":"Apache 2.0","normalized_licenses":["Apache-2.0"],"repository_url":"https://github.com/mw99/DataCompression","keywords_array":[],"namespace":null,"versions_count":11,"first_release_published_at":"2019-03-07T04:58:24.000Z","latest_release_published_at":"2022-11-03T08:15:59.000Z","latest_release_number":"3.8.0","last_synced_at":"2026-09-15T14:20:17.375Z","created_at":"2022-04-06T13:58:31.076Z","updated_at":"2026-09-20T22:37:41.131Z","registry_url":"https://cocoapods.org/pods/DataCompression","install_command":"pod try DataCompression","documentation_url":"https://cocoadocs.org/docsets/DataCompression/","metadata":{},"repo_metadata":{"id":42653103,"uuid":"75892117","full_name":"mw99/DataCompression","owner":"mw99","description":"Swift libcompression wrapper as an extension for the Data type (GZIP, ZLIB, LZFSE, LZMA, LZ4, deflate, RFC-1950, RFC-1951, RFC-1952)","archived":false,"fork":false,"pushed_at":"2025-08-03T03:57:53.000Z","size":62,"stargazers_count":302,"open_issues_count":7,"forks_count":59,"subscribers_count":9,"default_branch":"master","last_synced_at":"2026-09-15T12:12:52.141Z","etag":null,"topics":["compression","deflate","gzip","inflate","ios","lz4","lzfse","lzma","swift","zip","zlib"],"latest_commit_sha":null,"homepage":"","language":"Swift","has_issues":true,"has_wiki":null,"has_pages":null,"mirror_url":null,"source_name":null,"license":"apache-2.0","status":null,"scm":"git","pull_requests_enabled":true,"icon_url":"https://github.com/mw99.png","metadata":{"files":{"readme":"README.md","changelog":null,"contributing":null,"funding":null,"license":"LICENSE","code_of_conduct":null,"threat_model":null,"audit":null,"citation":null,"codeowners":null,"security":null,"support":null,"governance":null,"roadmap":null,"authors":null,"dei":null,"publiccode":null,"codemeta":null,"zenodo":null,"notice":null,"maintainers":null,"copyright":null,"agents":null,"dco":null,"cla":null}},"created_at":"2016-12-08T01:46:28.000Z","updated_at":"2026-09-01T05:58:20.000Z","dependencies_parsed_at":"2022-07-21T09:32:18.623Z","dependency_job_id":null,"html_url":"https://github.com/mw99/DataCompression","commit_stats":null,"previous_names":[],"tags_count":13,"template":false,"template_full_name":null,"purl":"pkg:github/mw99/DataCompression","repository_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression","tags_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags","releases_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/releases","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/manifests","owner_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/owners/mw99","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/refs/heads/master","sbom_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/sbom","scorecard":null,"host":{"name":"GitHub","url":"https://github.com","kind":"github","repositories_count":341189360,"owners_count":37547398,"icon_url":"https://github.com/github.png","version":null,"created_at":"2022-05-30T11:31:42.601Z","updated_at":"2026-08-22T15:14:58.755Z","status":"online","status_checked_at":"2026-09-20T02:00:06.856Z","response_time":61,"last_error":null,"robots_txt_status":"success","robots_txt_updated_at":"2025-07-24T06:49:26.215Z","robots_txt_url":"https://github.com/robots.txt","online":true,"can_crawl_api":true,"host_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub","repositories_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories","repository_names_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repository_names","owners_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/owners"},"owner_record":{"login":"mw99","name":"Markus Wanke","uuid":"13180507","kind":"user","description":"German software engineer working in Tokyo.","email":"","website":null,"location":"Tokyo, Japan","twitter":null,"company":null,"icon_url":"https://avatars.githubusercontent.com/u/13180507?u=5adb1962801641fd1d8f0750142604017a3b666d\u0026v=4","repositories_count":6,"last_synced_at":"2023-03-03T11:50:28.250Z","metadata":{"has_sponsors_listing":false},"html_url":"https://github.com/mw99","funding_links":[],"total_stars":null,"followers":null,"following":null,"created_at":"2022-11-13T22:53:59.121Z","updated_at":"2023-03-03T11:50:28.258Z","owner_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/owners/mw99","repositories_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/owners/mw99/repositories"},"tags":[{"name":"3.9.0","sha":"16f858982a077451ce3bdbd9144d3073ec85b6e4","kind":"commit","published_at":"2025-08-03T03:51:42.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.9.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.9.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.9.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.9.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.9.0/manifests"},{"name":"3.8.0","sha":"5ab15951321b08b74511601cbd0497667649d70b","kind":"commit","published_at":"2022-11-03T08:15:59.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.8.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.8.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.8.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.8.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.8.0/manifests"},{"name":"3.7.0","sha":"4ac2c9c108d80b690a74252a4ec48f47e9995e00","kind":"commit","published_at":"2022-06-29T03:45:57.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.7.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.7.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.7.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.7.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.7.0/manifests"},{"name":"3.6.0","sha":"6abb8f3cd0e4b2a33b4927a7a92b6764528f2440","kind":"commit","published_at":"2019-08-08T10:08:14.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.6.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.6.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.6.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.6.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.6.0/manifests"},{"name":"3.5.0","sha":"b0619b2f6a6cf68dab85f00e28c81232704173cc","kind":"commit","published_at":"2019-04-11T14:13:21.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.5.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.5.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.5.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.5.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.5.0/manifests"},{"name":"3.4.0","sha":"b2c7a8006081e2413d9d4e411ff9c4a46674a204","kind":"commit","published_at":"2019-03-27T10:34:34.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.4.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.4.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.4.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.4.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.4.0/manifests"},{"name":"3.3.0","sha":"7527bd33162fe553459b17c0d2682862959af80a","kind":"commit","published_at":"2019-03-07T04:58:26.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.3.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.3.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.3.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.3.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.3.0/manifests"},{"name":"3.2.0","sha":"a7b3309ea70731926546efb43e5cb2381e0e968e","kind":"commit","published_at":"2019-03-07T04:58:25.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.2.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.2.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.2.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.2.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.2.0/manifests"},{"name":"3.1.0","sha":"0c232543ddf98f2cd00aba573d3253a4cb62b9be","kind":"commit","published_at":"2019-03-07T04:58:25.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.1.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.1.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.1.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.1.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.1.0/manifests"},{"name":"3.0.0","sha":"3b9f23e7f431672f3e4a47d7150799335983bd8c","kind":"commit","published_at":"2019-03-07T04:58:25.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/3.0.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/3.0.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@3.0.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.0.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/3.0.0/manifests"},{"name":"2.0.1","sha":"9b923e8e56390fafbf1179900a15647a2b7c2984","kind":"commit","published_at":"2019-03-07T04:58:25.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/2.0.1","html_url":"https://github.com/mw99/DataCompression/releases/tag/2.0.1","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@2.0.1","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/2.0.1","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/2.0.1/manifests"},{"name":"2.0.0","sha":"b0931f20a39f69addadaa898e08b46dbf8501c41","kind":"commit","published_at":"2019-03-07T04:58:24.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/2.0.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/2.0.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@2.0.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/2.0.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/2.0.0/manifests"},{"name":"1.0.0","sha":"a2fe32c86532f3db6e3f0ab714d1cca224b5155d","kind":"commit","published_at":"2019-03-07T04:58:24.000Z","download_url":"https://codeload.github.com/mw99/DataCompression/tar.gz/1.0.0","html_url":"https://github.com/mw99/DataCompression/releases/tag/1.0.0","dependencies_parsed_at":null,"dependency_job_id":null,"purl":"pkg:github/mw99/DataCompression@1.0.0","tag_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/1.0.0","manifests_url":"https://repos.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/tags/1.0.0/manifests"}]},"repo_metadata_updated_at":"2026-09-20T22:37:41.130Z","dependent_packages_count":3,"downloads":null,"downloads_period":null,"dependent_repos_count":7,"rankings":{"downloads":null,"dependent_repos_count":4.423358905157575,"dependent_packages_count":2.4173068545259424,"stargazers_count":4.658180504494549,"forks_count":3.9296112893970627,"docker_downloads_count":null,"average":3.857114388393782},"purl":"pkg:cocoapods/DataCompression","advisories":[],"docker_usage_url":"https://docker.ecosyste.ms/usage/cocoapods/DataCompression","docker_dependents_count":null,"docker_downloads_count":null,"usage_url":"https://repos.ecosyste.ms/usage/cocoapods/DataCompression","dependent_repositories_url":"https://repos.ecosyste.ms/api/v1/usage/cocoapods/DataCompression/dependencies","status":null,"funding_links":[],"critical":null,"issue_metadata":{"last_synced_at":"2026-06-08T01:02:17.589Z","issues_count":27,"pull_requests_count":12,"avg_time_to_close_issue":11735823.826086957,"avg_time_to_close_pull_request":6529907.222222222,"issues_closed_count":23,"pull_requests_closed_count":9,"pull_request_authors_count":8,"issue_authors_count":26,"avg_comments_per_issue":2.185185185185185,"avg_comments_per_pull_request":2.4166666666666665,"merged_pull_requests_count":0,"bot_issues_count":0,"bot_pull_requests_count":0,"past_year_issues_count":0,"past_year_pull_requests_count":4,"past_year_avg_time_to_close_issue":null,"past_year_avg_time_to_close_pull_request":12013452.5,"past_year_issues_closed_count":0,"past_year_pull_requests_closed_count":2,"past_year_pull_request_authors_count":1,"past_year_issue_authors_count":0,"past_year_avg_comments_per_issue":null,"past_year_avg_comments_per_pull_request":1.5,"past_year_bot_issues_count":0,"past_year_bot_pull_requests_count":0,"past_year_merged_pull_requests_count":0,"issues_url":"https://issues.ecosyste.ms/api/v1/hosts/GitHub/repositories/mw99%2FDataCompression/issues","maintainers":[],"active_maintainers":[]},"versions_url":"https://packages.ecosyste.ms/api/v1/registries/cocoapods.org/packages/DataCompression/versions","version_numbers_url":"https://packages.ecosyste.ms/api/v1/registries/cocoapods.org/packages/DataCompression/version_numbers","latest_version_url":"https://packages.ecosyste.ms/api/v1/registries/cocoapods.org/packages/DataCompression/latest_version","dependent_packages_url":"https://packages.ecosyste.ms/api/v1/registries/cocoapods.org/packages/DataCompression/dependent_packages","related_packages_url":"https://packages.ecosyste.ms/api/v1/registries/cocoapods.org/packages/DataCompression/related_packages","codemeta_url":"https://packages.ecosyste.ms/api/v1/registries/cocoapods.org/packages/DataCompression/codemeta","maintainers":[{"uuid":"surrogat@posteo.de","login":null,"name":"Markus Wanke","email":"surrogat@posteo.de","url":null,"packages_count":3,"html_url":null,"role":null,"created_at":"2022-11-07T19:06:15.858Z","updated_at":"2022-11-07T19:06:15.858Z","packages_url":"https://packages.ecosyste.ms/api/v1/registries/cocoapods.org/maintainers/surrogat@posteo.de/packages"}]}